// The following preferences describe domain name completion for the
// autocomplete list. Each pref is a potential candidate. Entries with
// higher numbers are preferred. Each time a URL is visited the score
// for the longest matching TLD is incremented so that eventually the
// most commonly used one will be suggested.

// Common toplevel domains
pref("mwb.suggested_tld.com", 10);
pref("mwb.suggested_tld.org", 5);
pref("mwb.suggested_tld.net", 5);
pref("mwb.suggested_tld.name", 5);
pref("mwb.suggested_tld.info", 5);
// Less used toplevel domains
pref("mwb.suggested_tld.biz", 1);
pref("mwb.suggested_tld.aero", 1);
pref("mwb.suggested_tld.asia", 1);
pref("mwb.suggested_tld.cat", 1);
pref("mwb.suggested_tld.coop", 1);
pref("mwb.suggested_tld.edu", 1);
pref("mwb.suggested_tld.gov", 1);
pref("mwb.suggested_tld.int", 1);
pref("mwb.suggested_tld.jobs", 1);
pref("mwb.suggested_tld.mil", 1);
pref("mwb.suggested_tld.mobi", 1);
pref("mwb.suggested_tld.museum", 1);
pref("mwb.suggested_tld.tel", 1);
pref("mwb.suggested_tld.travel", 1);
// Country level domains. These should probably be expanded for
// countries that don't allow second level domain registration
pref("mwb.suggested_tld.ac", 1);
pref("mwb.suggested_tld.ad", 1);
pref("mwb.suggested_tld.ae", 1);
pref("mwb.suggested_tld.af", 1);
pref("mwb.suggested_tld.ag", 1);
pref("mwb.suggested_tld.ai", 1);
pref("mwb.suggested_tld.al", 1);
pref("mwb.suggested_tld.am", 1);
pref("mwb.suggested_tld.an", 1);
pref("mwb.suggested_tld.ao", 1);
pref("mwb.suggested_tld.aq", 1);
pref("mwb.suggested_tld.ar", 1);
pref("mwb.suggested_tld.as", 1);
pref("mwb.suggested_tld.at", 1);
pref("mwb.suggested_tld.au", 1);
pref("mwb.suggested_tld.aw", 1);
pref("mwb.suggested_tld.ax", 1);
pref("mwb.suggested_tld.az", 1);
pref("mwb.suggested_tld.ba", 1);
pref("mwb.suggested_tld.bb", 1);
pref("mwb.suggested_tld.bd", 1);
pref("mwb.suggested_tld.be", 1);
pref("mwb.suggested_tld.bf", 1);
pref("mwb.suggested_tld.bg", 1);
pref("mwb.suggested_tld.bh", 1);
pref("mwb.suggested_tld.bi", 1);
pref("mwb.suggested_tld.bj", 1);
pref("mwb.suggested_tld.bm", 1);
pref("mwb.suggested_tld.bn", 1);
pref("mwb.suggested_tld.bo", 1);
pref("mwb.suggested_tld.br", 1);
pref("mwb.suggested_tld.bs", 1);
pref("mwb.suggested_tld.bt", 1);
pref("mwb.suggested_tld.bw", 1);
pref("mwb.suggested_tld.by", 1);
pref("mwb.suggested_tld.bz", 1);
pref("mwb.suggested_tld.ca", 1);
pref("mwb.suggested_tld.cc", 1);
pref("mwb.suggested_tld.cd", 1);
pref("mwb.suggested_tld.cf", 1);
pref("mwb.suggested_tld.cg", 1);
pref("mwb.suggested_tld.ch", 1);
pref("mwb.suggested_tld.ci", 1);
pref("mwb.suggested_tld.ck", 1);
pref("mwb.suggested_tld.cl", 1);
pref("mwb.suggested_tld.cm", 1);
pref("mwb.suggested_tld.cn", 1);
pref("mwb.suggested_tld.co", 1);
pref("mwb.suggested_tld.cr", 1);
pref("mwb.suggested_tld.cu", 1);
pref("mwb.suggested_tld.cv", 1);
pref("mwb.suggested_tld.cx", 1);
pref("mwb.suggested_tld.cy", 1);
pref("mwb.suggested_tld.cz", 1);
pref("mwb.suggested_tld.de", 1);
pref("mwb.suggested_tld.dj", 1);
pref("mwb.suggested_tld.dk", 1);
pref("mwb.suggested_tld.dm", 1);
pref("mwb.suggested_tld.do", 1);
pref("mwb.suggested_tld.dz", 1);
pref("mwb.suggested_tld.ec", 1);
pref("mwb.suggested_tld.ee", 1);
pref("mwb.suggested_tld.eg", 1);
pref("mwb.suggested_tld.er", 1);
pref("mwb.suggested_tld.es", 1);
pref("mwb.suggested_tld.et", 1);
pref("mwb.suggested_tld.eu", 1);
pref("mwb.suggested_tld.fi", 1);
pref("mwb.suggested_tld.fj", 1);
pref("mwb.suggested_tld.fk", 1);
pref("mwb.suggested_tld.fm", 1);
pref("mwb.suggested_tld.fo", 1);
pref("mwb.suggested_tld.fr", 1);
pref("mwb.suggested_tld.ga", 1);
pref("mwb.suggested_tld.gd", 1);
pref("mwb.suggested_tld.ge", 1);
pref("mwb.suggested_tld.gf", 1);
pref("mwb.suggested_tld.gg", 1);
pref("mwb.suggested_tld.gh", 1);
pref("mwb.suggested_tld.gi", 1);
pref("mwb.suggested_tld.gl", 1);
pref("mwb.suggested_tld.gm", 1);
pref("mwb.suggested_tld.gn", 1);
pref("mwb.suggested_tld.gp", 1);
pref("mwb.suggested_tld.gq", 1);
pref("mwb.suggested_tld.gr", 1);
pref("mwb.suggested_tld.gs", 1);
pref("mwb.suggested_tld.gt", 1);
pref("mwb.suggested_tld.gu", 1);
pref("mwb.suggested_tld.gw", 1);
pref("mwb.suggested_tld.gy", 1);
pref("mwb.suggested_tld.hk", 1);
pref("mwb.suggested_tld.hm", 1);
pref("mwb.suggested_tld.hn", 1);
pref("mwb.suggested_tld.hr", 1);
pref("mwb.suggested_tld.ht", 1);
pref("mwb.suggested_tld.hu", 1);
pref("mwb.suggested_tld.id", 1);
pref("mwb.suggested_tld.ie", 1);
pref("mwb.suggested_tld.il", 1);
pref("mwb.suggested_tld.im", 1);
pref("mwb.suggested_tld.in", 1);
pref("mwb.suggested_tld.io", 1);
pref("mwb.suggested_tld.iq", 1);
pref("mwb.suggested_tld.ir", 1);
pref("mwb.suggested_tld.is", 1);
pref("mwb.suggested_tld.it", 1);
pref("mwb.suggested_tld.je", 1);
pref("mwb.suggested_tld.jm", 1);
pref("mwb.suggested_tld.jo", 1);
pref("mwb.suggested_tld.jp", 1);
pref("mwb.suggested_tld.ke", 1);
pref("mwb.suggested_tld.kg", 1);
pref("mwb.suggested_tld.kh", 1);
pref("mwb.suggested_tld.ki", 1);
pref("mwb.suggested_tld.km", 1);
pref("mwb.suggested_tld.kn", 1);
pref("mwb.suggested_tld.kp", 1);
pref("mwb.suggested_tld.kr", 1);
pref("mwb.suggested_tld.kw", 1);
pref("mwb.suggested_tld.ky", 1);
pref("mwb.suggested_tld.kz", 1);
pref("mwb.suggested_tld.la", 1);
pref("mwb.suggested_tld.lb", 1);
pref("mwb.suggested_tld.lc", 1);
pref("mwb.suggested_tld.li", 1);
pref("mwb.suggested_tld.lk", 1);
pref("mwb.suggested_tld.lr", 1);
pref("mwb.suggested_tld.ls", 1);
pref("mwb.suggested_tld.lt", 1);
pref("mwb.suggested_tld.lu", 1);
pref("mwb.suggested_tld.lv", 1);
pref("mwb.suggested_tld.ly", 1);
pref("mwb.suggested_tld.ma", 1);
pref("mwb.suggested_tld.mc", 1);
pref("mwb.suggested_tld.md", 1);
pref("mwb.suggested_tld.me", 1);
pref("mwb.suggested_tld.mg", 1);
pref("mwb.suggested_tld.mh", 1);
pref("mwb.suggested_tld.mk", 1);
pref("mwb.suggested_tld.ml", 1);
pref("mwb.suggested_tld.mm", 1);
pref("mwb.suggested_tld.mn", 1);
pref("mwb.suggested_tld.mo", 1);
pref("mwb.suggested_tld.mp", 1);
pref("mwb.suggested_tld.mq", 1);
pref("mwb.suggested_tld.mr", 1);
pref("mwb.suggested_tld.ms", 1);
pref("mwb.suggested_tld.mt", 1);
pref("mwb.suggested_tld.mu", 1);
pref("mwb.suggested_tld.mv", 1);
pref("mwb.suggested_tld.mw", 1);
pref("mwb.suggested_tld.mx", 1);
pref("mwb.suggested_tld.my", 1);
pref("mwb.suggested_tld.mz", 1);
pref("mwb.suggested_tld.na", 1);
pref("mwb.suggested_tld.nc", 1);
pref("mwb.suggested_tld.ne", 1);
pref("mwb.suggested_tld.nf", 1);
pref("mwb.suggested_tld.ng", 1);
pref("mwb.suggested_tld.ni", 1);
pref("mwb.suggested_tld.nl", 1);
pref("mwb.suggested_tld.no", 1);
pref("mwb.suggested_tld.np", 1);
pref("mwb.suggested_tld.nr", 1);
pref("mwb.suggested_tld.nu", 1);
pref("mwb.suggested_tld.nz", 1);
pref("mwb.suggested_tld.om", 1);
pref("mwb.suggested_tld.pa", 1);
pref("mwb.suggested_tld.pe", 1);
pref("mwb.suggested_tld.pf", 1);
pref("mwb.suggested_tld.pg", 1);
pref("mwb.suggested_tld.ph", 1);
pref("mwb.suggested_tld.pk", 1);
pref("mwb.suggested_tld.pl", 1);
pref("mwb.suggested_tld.pn", 1);
pref("mwb.suggested_tld.pr", 1);
pref("mwb.suggested_tld.ps", 1);
pref("mwb.suggested_tld.pt", 1);
pref("mwb.suggested_tld.pw", 1);
pref("mwb.suggested_tld.py", 1);
pref("mwb.suggested_tld.qa", 1);
pref("mwb.suggested_tld.re", 1);
pref("mwb.suggested_tld.ro", 1);
pref("mwb.suggested_tld.rs", 1);
pref("mwb.suggested_tld.ru", 1);
pref("mwb.suggested_tld.rw", 1);
pref("mwb.suggested_tld.sa", 1);
pref("mwb.suggested_tld.sb", 1);
pref("mwb.suggested_tld.sc", 1);
pref("mwb.suggested_tld.sd", 1);
pref("mwb.suggested_tld.se", 1);
pref("mwb.suggested_tld.sg", 1);
pref("mwb.suggested_tld.sh", 1);
pref("mwb.suggested_tld.si", 1);
pref("mwb.suggested_tld.sk", 1);
pref("mwb.suggested_tld.sl", 1);
pref("mwb.suggested_tld.sm", 1);
pref("mwb.suggested_tld.sn", 1);
pref("mwb.suggested_tld.sr", 1);
pref("mwb.suggested_tld.st", 1);
pref("mwb.suggested_tld.su", 1);
pref("mwb.suggested_tld.sv", 1);
pref("mwb.suggested_tld.sy", 1);
pref("mwb.suggested_tld.sz", 1);
pref("mwb.suggested_tld.tc", 1);
pref("mwb.suggested_tld.td", 1);
pref("mwb.suggested_tld.tf", 1);
pref("mwb.suggested_tld.tg", 1);
pref("mwb.suggested_tld.th", 1);
pref("mwb.suggested_tld.tj", 1);
pref("mwb.suggested_tld.tk", 1);
pref("mwb.suggested_tld.tl", 1);
pref("mwb.suggested_tld.tm", 1);
pref("mwb.suggested_tld.tn", 1);
pref("mwb.suggested_tld.to", 1);
pref("mwb.suggested_tld.tr", 1);
pref("mwb.suggested_tld.tt", 1);
pref("mwb.suggested_tld.tv", 1);
pref("mwb.suggested_tld.tw", 1);
pref("mwb.suggested_tld.tz", 1);
pref("mwb.suggested_tld.ua", 1);
pref("mwb.suggested_tld.ug", 1);
pref("mwb.suggested_tld.us", 1);
pref("mwb.suggested_tld.uy", 1);
pref("mwb.suggested_tld.uz", 1);
pref("mwb.suggested_tld.va", 1);
pref("mwb.suggested_tld.vc", 1);
pref("mwb.suggested_tld.ve", 1);
pref("mwb.suggested_tld.vg", 1);
pref("mwb.suggested_tld.vi", 1);
pref("mwb.suggested_tld.vn", 1);
pref("mwb.suggested_tld.vu", 1);
pref("mwb.suggested_tld.wf", 1);
pref("mwb.suggested_tld.ws", 1);
pref("mwb.suggested_tld.ye", 1);
pref("mwb.suggested_tld.za", 1);
pref("mwb.suggested_tld.zm", 1);
pref("mwb.suggested_tld.zw", 1);
// .uk doesn't allow second level domains so we should suggest second
// level completions instead
pref("mwb.suggested_tld.co.uk", 5);
pref("mwb.suggested_tld.org.uk", 4);
pref("mwb.suggested_tld.ac.uk", 2);
pref("mwb.suggested_tld.gov.uk", 2);
pref("mwb.suggested_tld.ltd.uk", 1);
pref("mwb.suggested_tld.me.uk", 1);
pref("mwb.suggested_tld.mod.uk", 1);
pref("mwb.suggested_tld.net.uk", 1);
pref("mwb.suggested_tld.nhs.uk", 1);
pref("mwb.suggested_tld.nic.uk", 1);
pref("mwb.suggested_tld.parliament.uk", 1);
pref("mwb.suggested_tld.plc.uk", 1);
pref("mwb.suggested_tld.police.uk", 1);
pref("mwb.suggested_tld.sch.uk", 1);
pref("mwb.suggested_tld.soc.uk", 1);
pref("mwb.suggested_tld.cym.uk", 1);
pref("mwb.suggested_tld.scot.uk", 1);
